Subject: bug#41187: 28.0.50; Flipped text

From: Wasim Abbas <[email-masked]>
Date: Thu, 7 Jan 2021 10:47:45 +0000

Hi Alan,

TL;DR. I have tried master now and I can’t reproduce the issue anymore. Thanks a lot.

Details:

Built and run using
$ ./autogen.sh
$ ./configure
$ make  # this builds GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.7 (Build 19H114)) of 2021-01-07
Ran using
$ ./src/emacs

Scrolled in different windows/frames for a quite a while but I can’t reproduce it anymore. I think we can safely assume its fixed.
I did see a different artefact, when you scroll too fast sometimes the screen looks like its not cleared from the previous text while the new text is printed onto it. But it doesn’t last for long only a fraction of a second. Probably unrelated and normal behaviour?

Thanks a lot again for your time.

//Wasim

> On 6 Jan 2021, at 23:22, Alan Third <[email-masked]> wrote:
> 
> On Wed, Jan 06, 2021 at 11:03:17PM +0000, Wasim Abbas wrote:
>> I am more than happy to try and test it out. Could you just confirm the repo to use. Thanks a lot. 
> 
> git://git.sv.gnu.org/emacs.git
> -- 
> Alan Third